Ce répertoire contiendra la base de code Python

## Prérequis
avoir installé [EV3-dev](http://www.ev3dev.org/docs/getting-started/)

En attendant une vraie doc, vous pouvez consulter la doc [ici](https://sites.google.com/site/ev3python/learn_ev3_python/basics-1)

## Contenu du répertoire

* le fichier init.py est un fichier vide permettant l'import d'une classe dans un autre fichier. 
* __robot.py__ : class contenant les fonctions propres au robot telles que tourner et avancer. 
* main.py : là où vous pouvez mettre votre code principal :-) 

# Projet actionrobot : Épreuve du Labyrinthe
Challenge de programmation proposé aux étudiants informatiques par l'AML. L'objectif : faire sortir son robot du labyrinthe :D 

Ce projet est en cours. V1.2 disponible le Mardi 12/06/2018, stay tuned ;) 
Vous n'êtes pas à l'abris de voir de nouvelles fonctions apparaître, ou quelques liens supplémentaires alors pensez à checker régulièrement ce repo ! 

## Déroulement du tournoi

Ce tournoi est divisé en plusieurs manches, à l'issue desquelles des gens sont éliminés, pour n'en garder qu'un à la fin ! Chaque manche est composée de 2 rounds avec 2 labyrinthes différents.

À chaque manche, 4 robots concourent simultanément. Chaque robot encore en lice fera les 2 labyrinthes de la manche. Nous examinons 2 critères :

le temps cumulé que votre robot a mis à sortir
votre nombre de points qui dépend de votre classement à chaque round
Les points à chaque round sont calculés comme suit :

| Classement | Points |
| ---------- | ------ |
| 1er	| 10 points |
| 2ème	| 7 points |
| 3ème	| 3 points |
| 4ème	| 1 points |

Les manches se déroulent comme suit :

__1ère manche__ (20 -> 8)
Les 20 équipes sont réparties en 5 "poules" de 4 équipes.
Le meilleur de chaque groupe (en points) sont sélectionnés.
Ensuite, parmi ceux restants, les 3 meilleurs temps sont également sélectionnés.

__Quarts de finale__ (8 -> 4)
Les 8 équipes restantes sont réparties en 2 groupes de 4 équipes
Le meilleur de chaque groupe est sélectionné
Les 2 meilleurs temps sont sélectionnés parmi ceux restants.

__Demi-finale__ (4 -> 2)
Seuls les points comptent !

__Finale__
Les 2 dernières équipes s'affrontent dans un grand labyrinthe.
Le premier à remporter 2 victoires remporte le tournoi !

## Matériel nécessaire 

* une brique ev3
* des legos à foison
* une carte SD (32Go max.)
* le petit + : un dongle wifi pour communiquer avec votre robot à distance

## Documentation 

### Python 
Tutoriel pour communiquer avec votre robot [ici](<http://www.ev3dev.org/docs/getting-started/>)

Un peu d'aide pour faire bouger votre robot [par là](<http://ev3dev-lang.readthedocs.io/projects/python-ev3dev/en/stable/motors.html>) ou encore [par ici](<https://media.readthedocs.org/pdf/python-ev3dev/latest/python-ev3dev.pdf>)

### Java 
Si vous êtes plutôt Java, il existe un plugin Eclipse (Lejos EV3), un peu de doc par [ici](<http://www.lejos.org/ev3/docs/>). Et pour communiquer avec votre robot depuis Eclipse en partant de zéro, vous pouvez regarder par [là](<http://www.lejos.org/ev3.php>). Amateurs de windows10, méfiance ! Il se peut que vous ayez quelques soucis de driver qui entrave la communication Eclipse <-> robot. Préférez donc une distrib Linux ou même Windows 7. 

## Deadlines 
La compétition aura lieu le 27 Septembre 2018, soyez prêts ! 

#### Contributions 
 
Cette base de code est proposée par Augustin Chateau et Alice Montel, développé spécifiquement pour l'occasion. 
La première version du projet est également disponible [ici](<https://github.com/Lyon1-Asterix/actionrobot>)




